## pkcs11-proxy 0.4.1

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 2.4)

if(COMMAND cmake_policy)
      cmake_policy(SET CMP0003 NEW)
endif(COMMAND cmake_policy)

project (pkcs11 C)

set(PKCS11_PROXY_SRCS gck-rpc-module.c gck-rpc-message.c gck-rpc-util.c egg-buffer.c gck-rpc-tls-psk.c)
set(PKCS11_DAEMON_SRCS egg-buffer.c gck-rpc-daemon-standalone.c gck-rpc-dispatch.c gck-rpc-message.c gck-rpc-util.c syscall-reporter.c syscall-names.h gck-rpc-tls-psk.c)

add_definitions(-Wall)
add_library(pkcs11-proxy SHARED ${PKCS11_PROXY_SRCS})

# Disable console when building Win32 binary in release mode
if (WIN32)
  if("${CMAKE_BUILD_TYPE}" MATCHES "^Rel.*")
    set(GUI_TYPE WIN32)
  endif()
endif()

add_executable (pkcs11-daemon ${GUI_TYPE} ${PKCS11_DAEMON_SRCS})

set_target_properties(pkcs11-proxy PROPERTIES VERSION 0.1 SOVERSION 0)

if (WIN32)
  include_directories("ext/include")

  add_library(dl STATIC IMPORTED)
  set_property(TARGET dl PROPERTY
               IMPORTED_LOCATION ${CMAKE_SOURCE_DIR}/ext/lib/libdl.a)
  target_link_libraries (pkcs11-daemon ws2_32)
  target_link_libraries (pkcs11-proxy ws2_32)
endif (WIN32)

target_link_libraries (pkcs11-proxy pthread ssl crypto)
target_link_libraries (pkcs11-daemon dl pthread ssl crypto seccomp)

install_targets (/lib pkcs11-proxy)
install_targets (/bin pkcs11-daemon)

add_custom_command(
   OUTPUT syscall-names.h 
   COMMAND ${CMAKE_SOURCE_DIR}/mksyscalls.sh
   WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})

=== debian/changelog ===
pkcs11-proxy (0.4.1-4) unstable; urgency=medium

  * add cmake4.patch (Closes: #1113408)

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 05 Sep 2025 16:02:03 +0200

pkcs11-proxy (0.4.1-3) unstable; urgency=medium

  * add service file (Closes: #1104522)
    Thanks a lot to Didier Raboud for the suggestion.
  * if not present, create psk file in /var/lib/pkcs11-daemon
  * debian/control: bump standard to 4.7.2 (no changes)
  * debian/control: add VCS URLs

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 04 May 2025 19:02:03 +0200

pkcs11-proxy (0.4.1-2) unstable; urgency=medium

  * fix gcc14 issues (Closes: #1075389)
  * debian/control: bump standard to 4.7.0 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 04 Aug 2024 22:02:03 +0200

pkcs11-proxy (0.4.1-1) unstable; urgency=medium

  * to keep history, old changelog moved to changelog.ubuntu
  * take care of lintian issues

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 16 Apr 2024 22:02:03 +0200

=== debian/control ===
Source: pkcs11-proxy
Priority: optional
Maintainer: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, cmake
	, libssl-dev (>= 1.0.0)
	, libseccomp-dev (>= 1.0.0)
Standards-Version: 4.7.2
Section: net
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/alteholz/pkcs11-proxy
Vcs-Git: https://salsa.debian.org/alteholz/pkcs11-proxy.git

Package: libpkcs11-proxy0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: proxy for the PKCS11-library (client)
 This project is based on a stripped down GNOME Keyring without all GNOME
 dependencies and other features.
 .
 The proxy tunnels PKCS11-requests over the network.  One possible use
 is to store cryptograhic information on a separate server.  This way
 the crypto can be isolated from the rest of the system.
 .
 This package contains the stuff that is needed on the client side.

Package: pkcs11-daemon
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: proxy for the PKCS11-library (server)
 This project is based on a stripped down GNOME Keyring without all GNOME
 dependencies and other features.
 .
 The proxy tunnels PKCS11-requests over the network.  One possible use
 is to store cryptograhic information on a separate server.  This way
 the crypto can be isolated from the rest of the system.
 .
 This package contains the stuff that is needed on the server side.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=cmake --builddirectory=build --sourcedirectory=.
